=== debian/changelog ===
ros-indigo-dynamixel-sdk (3.6.2-0trusty) trusty; urgency=high

  * added python modules for ROS to ros folder
  * moved cpp library files for ROS to ros folder
  * created an ROS package separately #187 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/187>
  * modified the e-Manual address to emanual.robotis.com
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 16 Jul 2018 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.6.1-0trusty) trusty; urgency=high

  * removed printTxRxResult(), printRxPacketError() #193 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/193>
  * removed cache files
  * merge pull request #195 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/195>
  * Contributors: Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 13 Jun 2018 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.6.0-0trusty) trusty; urgency=high

  * Replaced : DynamixelSDK Python as a native language (Python 2 and 3 for Windows, Linux, Mac OS X) #93 #122 #147 #181 #182 #185
  * Added : CONTRIBUTING.md added
  * Changes : ISSUE_TEMPLATE.md modified
  * Changes : C++ version - SyncRead / BulkRead - getError functions added
  * Changes : Deprecated functions removed
  * Fixes : DynamixelSDK MATLAB 2017 - new typedef (int8_t / int16_t / int32_t) applied in robotis_def.h #161 #179
  * Fixes : Added missing header file for reset and factory_reset examples #167
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 15 Mar 2018 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.5.4-0trusty) trusty; urgency=high

  * Added : Deprecated is now being shown by attributes #67 #107
  * Fixes : DynamixelSDK ROS Indigo Issue - target_sources func in CMake
  * Fixes : Bug in protocol1_packet_handler.cpp, line 222 checking the returned Error Mask #120
  * Fixes : Packet Handlers - array param uint8_t to uint16_t to avoid closure loop when the packet is too long to be in uint8_t appropriately
  * Fixes : Group Syncwrite using multiple ports in c library issue solved (test code is also in this issue bulletin) #124
  * Fixes : Support getting of time on MacOSX/XCode versions that doesn't support (CLOCK_REALTIME issue) #141 #144
  * Changes : DynamixelSDK Ubuntu Linux usb ftdi latency timer fix issue - changes the default latency timer as 16 ms in all OS, but some about how to change the latency timer was commented in the codes (now the latency timer should be adjusted by yourself... see port_handler_linux source code to see details) #116
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 30 Nov 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.5.3-0trusty) trusty; urgency=high

  * Fixes : DynamixelSDK ROS Kinetic Issue - ARM - Debian Jessie solved by replacing target_sources func in CMake to set_property #136
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Sun, 29 Oct 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.5.2-0trusty) trusty; urgency=high

  * Recover : Check if the id of rxpacket is the same as the id of txpacket #82
  * Changes : Ping examples now will not show Dynamixel model number when communication is failed
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Sun, 17 Sep 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.5.1-0trusty) trusty; urgency=high

  * Standardizes folder structure of ROS c++
  * Fixes : Inconvenient way of getting meaning of packet result and error value #67
  * Fixes : Maximum length of port name is expanded to 100 #100
  * Alternative : Include port_handler.h through relative path. #90
  * Changes : Indent correction / Example tests & refresh / OS IFDEF
  * Changes : Default Baudrate from 1000000(1M) bps to 57600 bps
  * Changes : Macro for control table value changed to uints
  * Changes : API references will be provided as doxygen (updates in c++ @ 3.5.1)
  * Changes : License changed into Apache License .2.0 (Who are using SDK in previous license can use it as it is)
  * Deprecated : getTxRxResult, getRxPacketError function will be unavailable in Dynamixel SDK 3.6.1
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 17 Aug 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.7-0trusty) trusty; urgency=high

  * hotfix - Bug in Dynamixel group control is solved temporarily
  * Contributors: Leon, Zerom

 -- Pyo <pyo@robotis.com>  Mon, 17 Jul 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.6-0trusty) trusty; urgency=high

  * hotfix - now DynamixelSDK for protocol1.0 supports read/write 4Byte (for XM series)
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 06 Jul 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.5-0trusty) trusty; urgency=high

  * added option to check if the id of rxpacket is the same as the id of txpacket.
  * Contributors: Leon, Zerom

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.4-0trusty) trusty; urgency=high

  * hotfix - return delay time is changed from 4 into 8 due to the Ubuntu update 16.04.2
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Tue, 25 Apr 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.3-0trusty) trusty; urgency=high

  * DynamixelSDK C++ ver. and ROS ver. in Windows platform now can use the port number of over then 10 #45
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 16 Feb 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.2-0trusty) trusty; urgency=high

  * fprintf output in GrouBulkRead of C++ removed
  * MATLAB library compiler error solving
  * Makefile for build example sources in SBC added
  * build files of windows c and c++ SDK rebuilt by using renewed SDK libraries
  * example source of dxl_monitor - c and cpp ver modified #50
  * Solved issue : #31, #34, #36, #50
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Wed, 15 Feb 2017 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.1-0trusty) trusty; urgency=high

  * added ROS package folder for ROS users
  * modified original header files for ROS package
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Sun, 21 Aug 2016 15:00:00 -0000

ros-indigo-dynamixel-sdk (3.4.0-0trusty) trusty; urgency=high


