=== debian/control ===
Source: ros-indigo-dynamixel-sdk
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-rospy
Homepage: http://wiki.ros.org/dynamixel_sdk
Standards-Version: 3.9.2

Package: ros-indigo-dynamixel-sdk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-rospy
Description: This package is wrapping version of ROBOTIS Dynamxel SDK for ROS.
 The ROBOTIS Dynamixel SDK, or SDK, is a software development library that provides Dynamixel control functions for packet communication. The API is designed for Dynamixel actuators and Dynamixel-based platforms.
